Get a sale
Ask again while a card sale is open to see it paid. Needs read on Fundraising.
GET
https://{organization}.rescueconsole.com
/
api
/
sales
/
{id}
Get a sale
curl --request GET \
--url https://{organization}.rescueconsole.com/api/sales/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/sales/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/sales/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sale": {
"id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"lines": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"unit_cents": 123,
"quantity": 123,
"line_cents": 123
}
],
"currency": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"person_id": "<string>"
},
"check_number": "<string>",
"note": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"refunded_cents": 123,
"refunded_at": "2023-11-07T05:31:56Z",
"receipt_sent_to": "<string>",
"receipt_sent_at": "2023-11-07T05:31:56Z",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get a sale
curl --request GET \
--url https://{organization}.rescueconsole.com/api/sales/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/sales/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/sales/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"sale": {
"id": "<string>",
"status": "open",
"tender": "card",
"total_cents": 123,
"lines": [
{
"id": "<string>",
"sale_item_id": "<string>",
"name": "<string>",
"unit_cents": 123,
"quantity": 123,
"line_cents": 123
}
],
"currency": "<string>",
"customer": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"person_id": "<string>"
},
"check_number": "<string>",
"note": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"refunded_cents": 123,
"refunded_at": "2023-11-07T05:31:56Z",
"receipt_sent_to": "<string>",
"receipt_sent_at": "2023-11-07T05:31:56Z",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
